Name:           xcb-util-keysyms
Version:        0.4.0
Release:        10
Summary:        Standard X key constants and conversion to/from keycodes
License:        MIT
URL:            http://xcb.freedesktop.org
Source0:        http://xcb.freedesktop.org/dist/%{name}-%{version}.tar.bz2
BuildRequires:  gcc pkgconfig(xcb-util) >= 0.3.8 m4

%description
Utility libraries for XC Binding - Standard X key constants and conversion to/from keycodes.

%package        devel
Summary:        Development and header files for %{name}
Requires:       %{name} = %{version}-%{release}

%description    devel
Development and header files for %{name}.

%prep
%autosetup -n %{name}-%{version} -p1

%build
%configure --with-pic --disable-static --disable-silent-rules
%make_build

%check
make check

%install
%make_install
%delete_la

%post
/sbin/ldconfig
%postun
/sbin/ldconfig

%files
%doc README
%{_libdir}/*.so.*

%files devel
%doc NEWS
%{_libdir}/pkgconfig/*.pc
%{_libdir}/*.so
%{_includedir}/xcb/*.h

%changelog
* Tue Oct 22 2019 Lijin Yang <yanglijin@huawei.com> - 0.4.0-10
- Package init
